wibble::exception::OutOfRange Class Reference

Exception thrown when some value is out of range. More...

`#include <exception.h>`

Inheritance diagram for wibble::exception::OutOfRange:
[legend]
Collaboration diagram for wibble::exception::OutOfRange:
[legend]

## Public Member Functions

| OutOfRange (const std::string &var_desc, const std::string &context) throw ()
| ~OutOfRange () throw ()
virtual const char * | type () const throw ()
| Get a string tag identifying the exception type. More...
virtual std::string | var_desc () const throw ()
| Get a short description of the variable that has been checked. More...
virtual std::string | desc () const throw ()
| Get a string describing what happened that threw the exception. More...
Public Member Functions inherited from wibble::exception::Consistency
| Consistency (const std::string &context, const std::string &error=std::string()) throw ()
| ~Consistency () throw ()
Public Member Functions inherited from wibble::exception::Generic
| Generic () throw ()
| Generic (const std::string &context) throw ()
virtual | ~Generic () throw ()
virtual const std::string & | fullInfo () const throw ()
| Format in a string all available information about the exception. More...
virtual const char * | what () const throw ()
Public Member Functions inherited from wibble::exception::Context
| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Protected Attributes

std::string | m_var_desc
Protected Attributes inherited from wibble::exception::Generic
std::string | m_formatted
Protected Attributes inherited from wibble::exception::Context
std::vector< std::string > | m_context

## Detailed Description

Exception thrown when some value is out of range.

Usage:

if (age < 200)
throw OutOfRange("age", "ensuring that no mere mortal is using the system");

## Constructor & Destructor Documentation

## OutOfRange()

wibble::exception::OutOfRange::OutOfRange | ( | const std::string & | var_desc,
|  | const std::string & | context
| ) |  |
throw | ( |
| ) |  |

inline

## ~OutOfRange()

wibble::exception::OutOfRange::~OutOfRange | ( |  | ) |
throw | ( |
| ) |  |

inline

## Member Function Documentation

## desc()

virtual std::string wibble::exception::OutOfRange::desc | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string describing what happened that threw the exception.

Reimplemented from wibble::exception::Consistency.

Reimplemented in wibble::exception::ValOutOfRange< C >.

## type()

virtual const char* wibble::exception::OutOfRange::type | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a string tag identifying the exception type.

Reimplemented from wibble::exception::Consistency.

Reimplemented in wibble::exception::ValOutOfRange< C >.

## var_desc()

virtual std::string wibble::exception::OutOfRange::var_desc | ( |  | ) | const
throw | ( |
| ) |  |

inline virtual

Get a short description of the variable that has been checked.

## Member Data Documentation

## m_var_desc

std::string wibble::exception::OutOfRange::m_var_desc

protected

The documentation for this class was generated from the following file:

- exception.h